(package
  (maintainers "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (authors "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (version "0.1.0")
  (license gpl3)
  (library
    (name
      (rapid graph))
    (path "rapid/graph.sld")
    (depends
      (scheme base)
      (scheme write)
      (rapid receive)
      (rapid list)
      (rapid set)
      (rapid mapping)))
  (library
    (name
      (rapid graph-test))
    (path "rapid/graph-test.sld")
    (depends
      (scheme base)
      (rapid test)
      (rapid comparator)
      (rapid set)
      (rapid mapping)
      (rapid graph))
    (use-for test))
  (manual "rapid/graph.html")
  (description "Graph algorithms.")
  (test "run-tests.scm"))
